
Name:     ventoy
Version:  1.0.97
Release:  %mkrel 1

Summary:  Creates a bootable USB drive
URL:      https://www.ventoy.net/en/index.html
Source:   https://github.com/ventoy/Ventoy/releases/%{name}-%{version}-linux.tar.xz
Source1:  source.tar.xz
License:  GPLv3
Group:    File tools
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: lib64gtksourceview3.0_1
Requires: parted
Obsoletes: %{name} < %{version}
AutoReqProv: no

%description
Ventoy is an open source tool to create bootable USB drive for ISO files. 
With ventoy, you don't need to format the disk again and again, you just 
need to copy the iso file to the USB drive and boot it. You can copy many 
iso files at a time and ventoy will give you a boot menu.

%prep
%setup -q -n %{name}-%{version}

unxz -c %{SOURCE1} | tar xf - -C .

rm -rf tool/{aarch64,i386}

#%build

%install
rm -rf $RPM_BUILD_ROOT
	mkdir -p $RPM_BUILD_ROOT/%{_bindir}
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps

	install -m 0775 Ventoy $RPM_BUILD_ROOT/%{_bindir}
	install -m 0775 %{name}.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48/apps
	install -m 0775 Ventoy.desktop $RPM_BUILD_ROOT/%{_datadir}/applications	
	install -m 0644 org.%{name}.policy $RPM_BUILD_ROOT/%{_datadir}/polkit-1/actions
	cp -r {VentoyGUI.x86_64,ventoy,plugin,boot,tool,*.sh} $RPM_BUILD_ROOT/%{_datadir}/%{name}	
    chmod a+x %{buildroot}%{_datadir}/applications/Ventoy.desktop

%pre
# Remove old logs, self folders
rm -rf %{_datadir}/ventoy

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_bindir}/Ventoy
%_datadir/applications/Ventoy.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/%{name}
%_datadir/polkit-1/actions/org.%{name}.policy

%changelog
* Fri Jan 26 2024 tex - 1.0.97-1pclos2024
- new version

* Sun Sep 03 2023 tex - 1.0.95-1pclos2023
- new version

* Sun Aug 13 2023 tex - 1.0.94-1pclos2023
- new version

